import java.io.FileOutputStream;

import pl.postivo.api.webservices_php.CertificateReturnObject;
import pl.postivo.api.webservices_php.PostivoPlBindingStub;
import pl.postivo.api.webservices_php.PostivoPlLocator;


public class Certificate {

	public static void main(String[] args) {
		
	//  Przykad wywoania metody getCertificate, umoliwiajcej wygenerowanie potwierdzenia nadania lub odbioru przesyki
        try
        {
            String sLogin = ""; // Login konta w pl
            String sApiPass = ""; // Haso dostpu do konta przez API
            String iMsgType = "1"; // Typ przesyki (1-przesyka listowa, 2-Fax)

        	// Identyfikator przesyki
            String sDispatchId = "S00000004";
            
            // Rodzaj potwierdzenia (1 - potwierdzenie nadania przesyki, 2 - potwierdzenie odbioru przesyki)
         	int iCertificateType = 1;
         	
            // Utworzenie obiektu stub:
            PostivoPlLocator locator = new PostivoPlLocator();	 
         	PostivoPlBindingStub stub =(PostivoPlBindingStub)locator.getPostivoPlPort(new java.net.URL("http://api.postivo.pl/webservices.php"));


            // Wywoanie metody getCertificate z przekazaniem wszystkich parametrw
             CertificateReturnObject output = stub.getCertificate(sLogin, sApiPass,sDispatchId,iCertificateType);

            //DANE WYJCIOWE

            // Przykad obsugi danych wyjciowych:
            System.out.println("Status dania: " + output.getResult());
            System.out.println("Kod statusu dania: " + output.getResult_code());
            System.out.println("Opis statusu dania: " + output.getResult_description());

         // Przykad obsugi danych wyjciowych:
            if (!output.isCert_available())
            {
            	System.out.println("Status dania: " + output.getResult() + " Kod statusu dania: " + output.getResult_code() + " Opis statusu dania: " + output.getResult_description());
                System.out.println("Potwierdzenie nie jest dostpne");
            }
            else 
            {
            	byte[] buf =  new sun.misc.BASE64Decoder().decodeBuffer(output.getCert_content());
            	
            	String strFilePath = "C://result.pdf";

            	try
            	{
            		FileOutputStream fos = new FileOutputStream(strFilePath);
            		fos.write(buf);
            		fos.close(); 
            	}
		        catch (Exception exeption)
		        {
		            System.out.println("Wystpi bd: " + exeption.getMessage());
		        }

            }
        }
        catch (Exception exeption)
        {
           System.out.println("Wystpi bd: " + exeption.getMessage());
        }
	}
}
