import pl.postivo.api.webservices_php.ConfigProfile;
import pl.postivo.api.webservices_php.ConfigProfilesReturnObject;
import pl.postivo.api.webservices_php.PostivoPlBindingStub;
import pl.postivo.api.webservices_php.PostivoPlLocator;


public class ConfigProfiles {
	public static void main(String[] args) {

	//  Przykad wywoania metody getConfigProfiles, umoliwiajcej wygenerowanie potwierdzenia nadania lub odbioru przesyki
        try
        {
            String sLogin = ""; // Login konta w pl
            String sApiPass = ""; // Haso dostpu do konta przez API
            String iMsgType = "1"; // Typ przesyki (1-przesyka listowa, 2-Fax)
         	
            // Utworzenie obiektu stub
            PostivoPlLocator locator = new PostivoPlLocator();	 
         	PostivoPlBindingStub stub =(PostivoPlBindingStub)locator.getPostivoPlPort(new java.net.URL("http://api.postivo.pl/webservices.php"));


         	// Wywoanie metody getConfigProfiles z przekazaniem wszystkich parametrw
            ConfigProfilesReturnObject output = stub.getConfigProfiles(sLogin, sApiPass, iMsgType);

            //DANE WYJCIOWE

            // Przykad obsugi danych wyjciowych:
            System.out.println("Status dania: " + output.getResult());
            System.out.println("Kod statusu dania: " + output.getResult_code());
            System.out.println("Opis statusu dania: " + output.getResult_description());

         // Przykad obsugi danych wyjciowych:
           
            if (output.getConfig_profiles()!=null) {
				for (ConfigProfile profile : output.getConfig_profiles()) {

					System.out.println("Nazwa konfiguracji "
							+ profile.getConfig_name() + ", ID konfiguracji: "
							+ profile.getConfig_id() + ", Rodzaj papieru: "
							+ profile.getPaper_type() + ", Wydruk dokumentw: "
							+ profile.getPaper_print_type()
							+ " Rodzaj koperty: " + profile.getEnvelope_type()
							+ ", Nazwa szablonu koperty: "
							+ profile.getEnvelope_template()
							+ ", Wydruk koperty: "
							+ profile.getEnvelope_print_type()
							+ ", Operator pocztowy: " + profile.getCarrier()
							+ ", Typ przesyki: " + profile.getDispatch_type());
				}
			}
        }
        catch (Exception exeption)
        {
           System.out.println("Wystpi bd: " + exeption.getMessage());
        }
	}

}
