import pl.postivo.api.webservices_php.DispatchReturnObject;
import pl.postivo.api.webservices_php.PostivoPlBindingStub;
import pl.postivo.api.webservices_php.PostivoPlLocator;
import pl.postivo.api.webservices_php.Shipment;;


public class DispatchStatus {

	public static void main(String[] args) {
		// Przykad wywoania metody getDispatchStatus, umoliwiajcej sprawdzenie statusw przesyek
        try
        {
            String sLogin = ""; // Login konta w Postivo.pl
            String sApiPass = ""; // Haso dostpu do konta przez API

            // Identyfikatory przesyek, ktrych status chcemy sprawdzi
            String[] arDispatchIds = new String[] { "E00000001", "Z00002521" };

            // Utworzenie obiektu stub:
            PostivoPlLocator locator = new PostivoPlLocator();	 
         	PostivoPlBindingStub stub =(PostivoPlBindingStub)locator.getPostivoPlPort(new java.net.URL("http://api.postivo.pl/webservices.php"));
         	
            // Wywoanie metody getDispatchStatus z przekazaniem wszystkich parametrw
            DispatchReturnObject output = stub.getDispatchStatus(sLogin, sApiPass, arDispatchIds);

            // Przykad obsugi danych wyjciowych:
            System.out.println("Status dania: " + output.getResult() + ", kod statusu dania: " + output.getResult_code());

            for (Shipment shipment : output.getShipments())
            {            	
            	System.out.println("Przesyka dla: " + shipment.getRecipient_name() + ", " + shipment.getRecipient_address() + " " + shipment.getRecipient_home_number() + " " + shipment.getRecipient_flat_number() + ", " + shipment.getRecipient_post_code() + " " + shipment.getRecipient_city() + ", fax: " + shipment.getRecipient_fax_number());
            	System.out.println("skadajca si z: " + shipment.getPage_number() + " stron ma status " + shipment.getStatus() + "(kod statusu: " + shipment.getStatus_code() + " opis kodu: " + shipment.getStatus_description());

                if (shipment.getStatus().equals("OK"))
                {
                	System.out.println("Zostanie nadana za porednictwem: " + shipment.getDispatch_carrier() + " jako: " + shipment.getDispatch_type() + ". Jej koszt to " + shipment.getPrice() + "z netto");
                }
            }
        }
        catch (Exception exeption)
        {
        	System.out.println("Wystpi bd: " + exeption.getMessage());
        }
	}

}
