import pl.postivo.api.webservices_php.PostivoPlBindingStub;
import pl.postivo.api.webservices_php.PostivoPlLocator;
import pl.postivo.api.webservices_php.Sender;
import pl.postivo.api.webservices_php.SendersReturnObject;


public class Senders {

	public static void main(String[] args) {
		//Przykad wywoania metody getSenders, umoliwiajcej pobranie listy zdefiniowanych nadawcw przesyek
        try
        {
            String sLogin = ""; // Login konta w pl
            String sApiPass = ""; // Haso dostpu do konta przez API

            // Utworzenie obiektu stub:
            PostivoPlLocator locator = new PostivoPlLocator();	 
         	PostivoPlBindingStub stub =(PostivoPlBindingStub)locator.getPostivoPlPort(new java.net.URL("http://api.postivo.pl/webservices.php"));

            // Wywoanie metody getSenders z przekazaniem wszystkich parametrw
            SendersReturnObject output = stub.getSenders(sLogin, sApiPass); 

            // Przykad obsugi danych wyjciowych:
            System.out.println("Status dania: " + output.getResult());
            System.out.println("Kod statusu dania: " + output.getResult_code());
            System.out.println("Opis statusu dania: " + output.getResult_description());

            for (Sender sender : output.getSenders())
            {
            	System.out.println("ID nadawcy: " + sender.getSender_id() + ",  Dane nadawcy: " + sender.getSender_name() + " " +  sender.getSender_home_number() + " " +  sender.getSender_flat_number() + ", " +  sender.getSender_post_code() + " " +  sender.getSender_city() + ", fax: " +  sender.getSender_fax_number());
            	System.out.println("Nadawca domylny: " +sender.get_default() + "Nadawca aktywny: " + sender.getActive());
            }
        }
        catch (Exception exeption)
        {
            System.out.println("Wystpi bd: " + exeption.getMessage());
        }

	}

}
